GET
/v1/suppressionsList suppression entries
Cursor paged (API-005); search matches name, address line, postal code and city.
Scope
items.readQuery parameters
limitintegermin 1max 200default 50cursorstringOpaque cursor from nextCursor of the previous page (same sort and filters).
sortstringComma separated, prefix - for descending; fields: createdAt, postalCode, name. Default -createdAt.
includeenuminclude=total adds totalCount.
totalfilter[reason]stringfilter[source]enummanualcsvapifilter[source][in]stringComma separated values
filter[country]stringfilter[createdAt][gte]date-timefilter[createdAt][gt]date-timefilter[createdAt][lte]date-timefilter[createdAt][lt]date-timefilter[search][contains]stringReturns
4 fields of the 200 answer
dataarray of objectsrequired12 fields
idstringrequirednamestringrequiredaddressLine1stringrequiredaddressLine2string or nullrequiredpostalCodestringrequiredcitystringrequiredcountrystringrequiredreasonstringrequiredcategoriesarray of stringrequiredsourceenumrequiredmanualcsvapinotestring or nullrequiredcreatedAtdate-timerequirednextCursorstring or nullrequiredhasMorebooleanrequiredtotalCountintegerResponses
200Success
401Authentication required or API key invalid
403Permission or scope missing, organisation suspended
422Validation failed
429Rate limited for this API key and class; wait Retry-After seconds
otherError (RFC 9457 problem details)